Index: /orxonox/trunk/configure
===================================================================
--- /orxonox/trunk/configure	(revision 4664)
+++ /orxonox/trunk/configure	(revision 4665)
@@ -5672,5 +5672,5 @@
    CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
 
-for ac_header in SDL/SDL.h
+for ac_header in SDL.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -5819,5 +5819,5 @@
 else
 
-for ac_header in SDL.h
+for ac_header in SDL/SDL.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -6334,10 +6334,10 @@
 ###################################
 
-#--------#
-# openAL #
-#--------#
-# checking for openAL-headers
-
-for ac_header in AL/al.h
+#---------#
+# SDL_ttf #
+#---------#
+# checking for SDL_ttf-headers
+
+for ac_header in SDL/SDL_ttf.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -6485,90 +6485,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
-echo "$as_me: error: cannot find openAL header." >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-done
-
-# checking for openAL-lib
-  echo "$as_me:$LINENO: checking for main in -lopenal" >&5
-echo $ECHO_N "checking for main in -lopenal... $ECHO_C" >&6
-if test "${ac_cv_lib_openal_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lopenal  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_openal_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_openal_main=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_openal_main" >&5
-echo "${ECHO_T}$ac_cv_lib_openal_main" >&6
-if test $ac_cv_lib_openal_main = yes; then
-  FOUND_openal=yes
-fi
-
-     if test x$FOUND_openal = xyes ; then
-       LIBS="$LIBS -lopenal"
-     else
-        echo "------------------"
-        echo "openal library not found."
-        echo "please install the openal library, which can be found at http://www.openal.org"
-        echo "------------------"
-        exit -1
-     fi
-
-#-----#
-# ogg #
-#-----#
-# checking for ogg-headers
-
-for ac_header in ogg/ogg.h
+
+for ac_header in SDL_ttf.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -6716,6 +6632,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find ogg header." >&5
-echo "$as_me: error: cannot find ogg header." >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
+echo "$as_me: error: cannot find SDL_ttf header." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -6723,12 +6639,17 @@
 done
 
-# checking for ogg-lib
-  echo "$as_me:$LINENO: checking for main in -logg" >&5
-echo $ECHO_N "checking for main in -logg... $ECHO_C" >&6
-if test "${ac_cv_lib_ogg_main+set}" = set; then
+fi
+
+done
+
+#fi
+# checking for SDL_ttf-lib
+  echo "$as_me:$LINENO: checking for main in -lSDL_ttf" >&5
+echo $ECHO_N "checking for main in -lSDL_ttf... $ECHO_C" >&6
+if test "${ac_cv_lib_SDL_ttf_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-logg  $LIBS"
+LIBS="-lSDL_ttf  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -6769,10 +6690,10 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_ogg_main=yes
+  ac_cv_lib_SDL_ttf_main=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_ogg_main=no
+ac_cv_lib_SDL_ttf_main=no
 fi
 rm -f conftest.err conftest.$ac_objext \
@@ -6780,102 +6701,27 @@
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_ogg_main" >&5
-echo "${ECHO_T}$ac_cv_lib_ogg_main" >&6
-if test $ac_cv_lib_ogg_main = yes; then
-  FOUND_ogg=yes
-fi
-
-     if test x$FOUND_ogg = xyes ; then
-       LIBS="$LIBS -logg"
+echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_main" >&5
+echo "${ECHO_T}$ac_cv_lib_SDL_ttf_main" >&6
+if test $ac_cv_lib_SDL_ttf_main = yes; then
+  FOUND_SDL_ttf=yes
+fi
+
+     if test x$FOUND_SDL_ttf = xyes ; then
+       LIBS="$LIBS -lSDL_ttf"
      else
         echo "------------------"
-        echo "ogg library not found."
-        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "SDL_ttf library not found."
+        echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
         echo "------------------"
         exit -1
      fi
 
-#--------#
-# vorbis #
-#--------#
-# checking for vorbis-lib
-  echo "$as_me:$LINENO: checking for main in -lvorbis" >&5
-echo $ECHO_N "checking for main in -lvorbis... $ECHO_C" >&6
-if test "${ac_cv_lib_vorbis_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lvorbis  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_vorbis_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_vorbis_main=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_vorbis_main" >&5
-echo "${ECHO_T}$ac_cv_lib_vorbis_main" >&6
-if test $ac_cv_lib_vorbis_main = yes; then
-  FOUND_vorbis=yes
-fi
-
-     if test x$FOUND_vorbis = xyes ; then
-       LIBS="$LIBS -lvorbis"
-     else
-        echo "------------------"
-        echo "vorbis library not found."
-        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
-
-#------------#
-# vorbisfile #
-#------------#
-# checking for vorbis-headers
-
-for ac_header in vorbis/vorbisfile.h
+
+#-----------#
+# SDL_Image #
+#-----------#
+# checking for SDL_image-headers
+
+for ac_header in SDL_image.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -7023,90 +6869,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find vorbisfile header." >&5
-echo "$as_me: error: cannot find vorbisfile header." >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-done
-
-# checking for vorbisfile-lib
-  echo "$as_me:$LINENO: checking for main in -lvorbisfile" >&5
-echo $ECHO_N "checking for main in -lvorbisfile... $ECHO_C" >&6
-if test "${ac_cv_lib_vorbisfile_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lvorbisfile  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_vorbisfile_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_vorbisfile_main=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_vorbisfile_main" >&5
-echo "${ECHO_T}$ac_cv_lib_vorbisfile_main" >&6
-if test $ac_cv_lib_vorbisfile_main = yes; then
-  FOUND_vorbisfile=yes
-fi
-
-     if test x$FOUND_vorbisfile = xyes ; then
-       LIBS="$LIBS -lvorbisfile"
-     else
-        echo "------------------"
-        echo "vorbisfile library not found."
-        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
-
-#---------#
-# SDL_ttf #
-#---------#
-# checking for SDL_ttf-headers
-
-for ac_header in SDL/SDL_ttf.h
+
+for ac_header in SDL/SDL_image.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -7254,6 +7016,94 @@
 
 else
-
-for ac_header in SDL_ttf.h
+  { { echo "$as_me:$LINENO: error: sdl_image header not found." >&5
+echo "$as_me: error: sdl_image header not found." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+done
+
+fi
+
+done
+
+# checking for SDL_image-lib
+echo "$as_me:$LINENO: checking for main in -lSDL_image" >&5
+echo $ECHO_N "checking for main in -lSDL_image... $ECHO_C" >&6
+if test "${ac_cv_lib_SDL_image_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lSDL_image  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_SDL_image_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_SDL_image_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_image_main" >&5
+echo "${ECHO_T}$ac_cv_lib_SDL_image_main" >&6
+if test $ac_cv_lib_SDL_image_main = yes; then
+  FOUND_SDL_image=yes
+fi
+
+   if test x$FOUND_SDL_image = xyes ; then
+     LIBS="$LIBS -lSDL_image"
+   else
+      echo "------------------"
+      echo "SDL_image library not found."
+      echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
+      echo "------------------"
+      exit -1
+   fi
+
+#--------#
+# openAL #
+#--------#
+# checking for openAL-headers
+
+for ac_header in AL/al.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -7401,6 +7251,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
-echo "$as_me: error: cannot find SDL_ttf header." >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
+echo "$as_me: error: cannot find openAL header." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -7408,17 +7258,12 @@
 done
 
-fi
-
-done
-
-#fi
-# checking for SDL_ttf-lib
-  echo "$as_me:$LINENO: checking for main in -lSDL_ttf" >&5
-echo $ECHO_N "checking for main in -lSDL_ttf... $ECHO_C" >&6
-if test "${ac_cv_lib_SDL_ttf_main+set}" = set; then
+# checking for openAL-lib
+  echo "$as_me:$LINENO: checking for main in -lopenal" >&5
+echo $ECHO_N "checking for main in -lopenal... $ECHO_C" >&6
+if test "${ac_cv_lib_openal_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lSDL_ttf  $LIBS"
+LIBS="-lopenal  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -7459,10 +7304,10 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_SDL_ttf_main=yes
+  ac_cv_lib_openal_main=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_SDL_ttf_main=no
+ac_cv_lib_openal_main=no
 fi
 rm -f conftest.err conftest.$ac_objext \
@@ -7470,27 +7315,26 @@
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_main" >&5
-echo "${ECHO_T}$ac_cv_lib_SDL_ttf_main" >&6
-if test $ac_cv_lib_SDL_ttf_main = yes; then
-  FOUND_SDL_ttf=yes
-fi
-
-     if test x$FOUND_SDL_ttf = xyes ; then
-       LIBS="$LIBS -lSDL_ttf"
+echo "$as_me:$LINENO: result: $ac_cv_lib_openal_main" >&5
+echo "${ECHO_T}$ac_cv_lib_openal_main" >&6
+if test $ac_cv_lib_openal_main = yes; then
+  FOUND_openal=yes
+fi
+
+     if test x$FOUND_openal = xyes ; then
+       LIBS="$LIBS -lopenal"
      else
         echo "------------------"
-        echo "SDL_ttf library not found."
-        echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
+        echo "openal library not found."
+        echo "please install the openal library, which can be found at http://www.openal.org"
         echo "------------------"
         exit -1
      fi
 
-
-#-----------#
-# SDL_Image #
-#-----------#
-# checking for SDL_image-headers
-
-for ac_header in SDL_image.h
+#-----#
+# ogg #
+#-----#
+# checking for ogg-headers
+
+for ac_header in ogg/ogg.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -7638,6 +7482,166 @@
 
 else
-
-for ac_header in SDL/SDL_image.h
+  { { echo "$as_me:$LINENO: error: cannot find ogg header." >&5
+echo "$as_me: error: cannot find ogg header." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+done
+
+# checking for ogg-lib
+  echo "$as_me:$LINENO: checking for main in -logg" >&5
+echo $ECHO_N "checking for main in -logg... $ECHO_C" >&6
+if test "${ac_cv_lib_ogg_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-logg  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_ogg_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_ogg_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_ogg_main" >&5
+echo "${ECHO_T}$ac_cv_lib_ogg_main" >&6
+if test $ac_cv_lib_ogg_main = yes; then
+  FOUND_ogg=yes
+fi
+
+     if test x$FOUND_ogg = xyes ; then
+       LIBS="$LIBS -logg"
+     else
+        echo "------------------"
+        echo "ogg library not found."
+        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "------------------"
+        exit -1
+     fi
+
+#--------#
+# vorbis #
+#--------#
+# checking for vorbis-lib
+  echo "$as_me:$LINENO: checking for main in -lvorbis" >&5
+echo $ECHO_N "checking for main in -lvorbis... $ECHO_C" >&6
+if test "${ac_cv_lib_vorbis_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lvorbis  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_vorbis_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_vorbis_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_vorbis_main" >&5
+echo "${ECHO_T}$ac_cv_lib_vorbis_main" >&6
+if test $ac_cv_lib_vorbis_main = yes; then
+  FOUND_vorbis=yes
+fi
+
+     if test x$FOUND_vorbis = xyes ; then
+       LIBS="$LIBS -lvorbis"
+     else
+        echo "------------------"
+        echo "vorbis library not found."
+        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "------------------"
+        exit -1
+     fi
+
+#------------#
+# vorbisfile #
+#------------#
+# checking for vorbis-headers
+
+for ac_header in vorbis/vorbisfile.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -7785,6 +7789,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: sdl_image header not found." >&5
-echo "$as_me: error: sdl_image header not found." >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find vorbisfile header." >&5
+echo "$as_me: error: cannot find vorbisfile header." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -7792,16 +7796,12 @@
 done
 
-fi
-
-done
-
-# checking for SDL_image-lib
-echo "$as_me:$LINENO: checking for main in -lSDL_image" >&5
-echo $ECHO_N "checking for main in -lSDL_image... $ECHO_C" >&6
-if test "${ac_cv_lib_SDL_image_main+set}" = set; then
+# checking for vorbisfile-lib
+  echo "$as_me:$LINENO: checking for main in -lvorbisfile" >&5
+echo $ECHO_N "checking for main in -lvorbisfile... $ECHO_C" >&6
+if test "${ac_cv_lib_vorbisfile_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lSDL_image  $LIBS"
+LIBS="-lvorbisfile  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -7842,10 +7842,10 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_SDL_image_main=yes
+  ac_cv_lib_vorbisfile_main=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_SDL_image_main=no
+ac_cv_lib_vorbisfile_main=no
 fi
 rm -f conftest.err conftest.$ac_objext \
@@ -7853,19 +7853,19 @@
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_image_main" >&5
-echo "${ECHO_T}$ac_cv_lib_SDL_image_main" >&6
-if test $ac_cv_lib_SDL_image_main = yes; then
-  FOUND_SDL_image=yes
-fi
-
-   if test x$FOUND_SDL_image = xyes ; then
-     LIBS="$LIBS -lSDL_image"
-   else
-      echo "------------------"
-      echo "SDL_image library not found."
-      echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
-      echo "------------------"
-      exit -1
-   fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_vorbisfile_main" >&5
+echo "${ECHO_T}$ac_cv_lib_vorbisfile_main" >&6
+if test $ac_cv_lib_vorbisfile_main = yes; then
+  FOUND_vorbisfile=yes
+fi
+
+     if test x$FOUND_vorbisfile = xyes ; then
+       LIBS="$LIBS -lvorbisfile"
+     else
+        echo "------------------"
+        echo "vorbisfile library not found."
+        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "------------------"
+        exit -1
+     fi
 
 #-----#
Index: /orxonox/trunk/configure.ac
===================================================================
--- /orxonox/trunk/configure.ac	(revision 4664)
+++ /orxonox/trunk/configure.ac	(revision 4665)
@@ -334,6 +334,6 @@
 
    CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
-   AC_CHECK_HEADERS([SDL/SDL.h] ,,
-      [AC_CHECK_HEADERS([SDL.h] ,,AC_MSG_ERROR([cannot find SDL header. please download from libsdl.org])]))
+   AC_CHECK_HEADERS([SDL.h] ,,
+      [AC_CHECK_HEADERS([SDL/SDL.h] ,,AC_MSG_ERROR([cannot find SDL header. please download from libsdl.org])]))
 
    LIBS="`sdl-config --libs` $LIBS"
@@ -389,73 +389,4 @@
 ## CHECKING FOR HEADERS AND LIBS ##
 ###################################
-
-#--------#
-# openAL #
-#--------#
-# checking for openAL-headers
-  AC_CHECK_HEADERS([AL/al.h] ,,
-      [AC_MSG_ERROR([cannot find openAL header.])])
-# checking for openAL-lib
-  AC_CHECK_LIB([openal], [main], [FOUND_openal=yes])
-     if test x$FOUND_openal = xyes ; then
-       LIBS="$LIBS -lopenal"
-     else
-        echo "------------------"
-        echo "openal library not found."
-        echo "please install the openal library, which can be found at http://www.openal.org"
-        echo "------------------"
-        exit -1
-     fi
-
-#-----#
-# ogg #
-#-----#
-# checking for ogg-headers
-  AC_CHECK_HEADERS([ogg/ogg.h] ,,
-      [AC_MSG_ERROR([cannot find ogg header.])])
-# checking for ogg-lib
-  AC_CHECK_LIB([ogg], [main], [FOUND_ogg=yes])
-     if test x$FOUND_ogg = xyes ; then
-       LIBS="$LIBS -logg"
-     else
-        echo "------------------"
-        echo "ogg library not found."
-        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
-
-#--------#
-# vorbis #
-#--------#
-# checking for vorbis-lib
-  AC_CHECK_LIB([vorbis], [main], [FOUND_vorbis=yes])
-     if test x$FOUND_vorbis = xyes ; then
-       LIBS="$LIBS -lvorbis"
-     else
-        echo "------------------"
-        echo "vorbis library not found."
-        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
-
-#------------#
-# vorbisfile #
-#------------#
-# checking for vorbis-headers
-  AC_CHECK_HEADERS([vorbis/vorbisfile.h] ,,
-      [AC_MSG_ERROR([cannot find vorbisfile header.])])
-# checking for vorbisfile-lib
-  AC_CHECK_LIB([vorbisfile], [main], [FOUND_vorbisfile=yes])
-     if test x$FOUND_vorbisfile = xyes ; then
-       LIBS="$LIBS -lvorbisfile"
-     else
-        echo "------------------"
-        echo "vorbisfile library not found."
-        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
 
 #---------#
@@ -496,4 +427,73 @@
       exit -1
    fi
+
+#--------#
+# openAL #
+#--------#
+# checking for openAL-headers
+  AC_CHECK_HEADERS([AL/al.h] ,,
+      [AC_MSG_ERROR([cannot find openAL header.])])
+# checking for openAL-lib
+  AC_CHECK_LIB([openal], [main], [FOUND_openal=yes])
+     if test x$FOUND_openal = xyes ; then
+       LIBS="$LIBS -lopenal"
+     else
+        echo "------------------"
+        echo "openal library not found."
+        echo "please install the openal library, which can be found at http://www.openal.org"
+        echo "------------------"
+        exit -1
+     fi
+
+#-----#
+# ogg #
+#-----#
+# checking for ogg-headers
+  AC_CHECK_HEADERS([ogg/ogg.h] ,,
+      [AC_MSG_ERROR([cannot find ogg header.])])
+# checking for ogg-lib
+  AC_CHECK_LIB([ogg], [main], [FOUND_ogg=yes])
+     if test x$FOUND_ogg = xyes ; then
+       LIBS="$LIBS -logg"
+     else
+        echo "------------------"
+        echo "ogg library not found."
+        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "------------------"
+        exit -1
+     fi
+
+#--------#
+# vorbis #
+#--------#
+# checking for vorbis-lib
+  AC_CHECK_LIB([vorbis], [main], [FOUND_vorbis=yes])
+     if test x$FOUND_vorbis = xyes ; then
+       LIBS="$LIBS -lvorbis"
+     else
+        echo "------------------"
+        echo "vorbis library not found."
+        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "------------------"
+        exit -1
+     fi
+
+#------------#
+# vorbisfile #
+#------------#
+# checking for vorbis-headers
+  AC_CHECK_HEADERS([vorbis/vorbisfile.h] ,,
+      [AC_MSG_ERROR([cannot find vorbisfile header.])])
+# checking for vorbisfile-lib
+  AC_CHECK_LIB([vorbisfile], [main], [FOUND_vorbisfile=yes])
+     if test x$FOUND_vorbisfile = xyes ; then
+       LIBS="$LIBS -lvorbisfile"
+     else
+        echo "------------------"
+        echo "vorbisfile library not found."
+        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+        echo "------------------"
+        exit -1
+     fi
 
 #-----#
